Bug 201585 - vgchange -a n hangs if access to pv's is removed.
vgchange -a n hangs if access to pv's is removed.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
Depends On:
  Show dependency treegraph
Reported: 2006-08-07 12:29 EDT by John DeFranco
Modified: 2013-02-28 23:04 EST (History)
5 users (show)

See Also:
Fixed In Version: RHEL4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-17 08:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John DeFranco 2006-08-07 12:29:29 EDT
Description of problem:

If all access to the physical devices is lost a vgchange -a n will fail 
(actually it will hang). This is supposely expected behavior but it would be
adventagous to have some way to make this complete. I have some scripts that
in the event of a physical device failure start a halt sequence which will
do a vgchange -a n. This halt script will fail (will it will never complete)
because of this hang.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. define a vg and activate it.
2. pull the cables to the pvs.
3. run vgchange -a n.
Actual results:

Expected results:

Additional info:

More info can be provided if required however the issue seems to be well
understood. It would be helpful if this just did not hang.
Comment 1 Milan Broz 2007-05-17 08:49:03 EDT
vgchange -a n will fail with io error if PV is removed (but it will not
deactivate VG then).
If it hangs, probably some low level driver is blocking it (access to lvm metadata).
(Tested in RHEL4.5.)

Please if you spot this bug again, reopen this bug and provide debugging output
of vgchange (add -vvvv) and, if possible, task state log (echo
t>/proc/sysrq-trigger), thanks.

Note You need to log in before you can comment on or make changes to this bug.